View Issue Details

IDProjectCategoryView StatusLast Update
0000776SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1 
Target Version3.1.2Fixed in Version3.1.2 
Summary0000776: Change SqlScriptReader to allow comments in places other than the beginning of a line in a sql script
DescriptionChange SqlScriptReader to allow comments in places other than the beginning of a line in a sql script
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a03c2458

2012-08-15 07:52:45

chenson

Details Diff
0000776: Change SqlScriptReader to allow comments in places other than the beginning of a line in a sql script
0000775: Change SqlScript to use SqlScriptReader so that statements are streamed

0000776
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFill.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/test/resources/test-data-drop-all.sql Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlStatementSource.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTemplate.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/ListSqlStatementSource.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlScript.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlScriptReader.java Diff File
mod - symmetric-db/src/test/java/org/jumpmind/db/sql/SqlScriptReaderTest.java Diff File
mod - symmetric-db/src/test/resources/test-script-1.sql Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-08-15 07:51 chenson New Issue
2012-08-15 07:51 chenson Status new => assigned
2012-08-15 07:51 chenson Assigned To => chenson
2012-08-15 07:52 chenson Status assigned => resolved
2012-08-15 07:52 chenson Fixed in Version => 3.1.2
2012-08-15 07:52 chenson Resolution open => fixed
2012-08-22 15:49 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6197
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a03c2458